Go to the latest version of this document.

# ``twisted`.`protocols`.`ftp`.`_FileWriter``

class documentation

`class _FileWriter: (source)`

Constructor: `_FileWriter(fObj)`

Implements interfaces: `twisted.protocols.ftp.IWriteFile`

View In Hierarchy

Undocumented

Method | `__init__` | Undocumented
Method | `close` | Perform any post-write work that needs to be done. This method may only be invoked once on each provider, and will always be invoked after receive().
Method | `receive` | Create a consumer which will write to this file. This method may only be invoked once on each provider.
Instance Variable | `fObj` | Undocumented
Instance Variable | `_receive` | Undocumented

def __init__(self, fObj): (source)

Undocumented

def close(self): (source)
from `twisted.protocols.ftp.IWriteFile`

Perform any post-write work that needs to be done. This method may only be invoked once on each provider, and will always be invoked after receive().

Returns
`Deferred` of anything: the value is ignored. The FTP client will not see their upload request complete until this Deferred has been fired. | Undocumented

def receive(self): (source)
from `twisted.protocols.ftp.IWriteFile`

Create a consumer which will write to this file. This method may only be invoked once on each provider.

Returns
`Deferred` of `IConsumer` | Undocumented

fObj = (source)

Undocumented

_receive: `bool` = (source)

Undocumented